use crate::{
    app::session::SessionToken,
    util::pack::{pack_u16, unpack_u16},
};

use super::Packet;

#[derive(Clone)]
pub struct PacketGameState {
    pub token:SessionToken,
}
impl PacketGameState {
    pub fn new() -> Self
    {
        Self {
            token:SessionToken::default(),
        }
    }
}
impl Packet for PacketGameState {
    type Data = Self;

    fn decode(data:&Vec<u8>, index:&mut usize) -> Result<Self::Data, ()>
    {
        let mut result = Self::new();

        Err(())
    }
}


#[derive(Clone)]
pub struct PacketGameStateResponse {
    pub status:u16,
}
impl PacketGameStateResponse {
    pub fn new() -> Self
    {
        Self {
            status:0,

        }
    }
}
impl Packet for PacketGameStateResponse {
    type Data = Self;

    fn encode(&self) -> Vec<u8>
    {
        [
            pack_u16(self.status),

        ].concat()
    }
}
